Bio::Tools::AlignFactory(3)

NAME
Bio::Tools::AlignFactory - Base object for alignment factories

SYNOPSIS
You wont be using this as an object, but using a dervied class like Bio::Tools::pSW

DESCRIPTION
Holds common Alignment Factory attributes in place

CONTACT
http://bio.perl.org/ or birney@sanger.ac.uk

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  kbyte
 Title     : kbyte()
 Usage     : set/gets the amount of memory able to be used
 Function  :
           : $factory->kbyte(200);
           :
 Returns   :
 Argument  : memory in kilobytes

  report
 Title     : report()
 Usage     : set/gets the report boolean to issue reports or not
 Function  :
           : $factory->report(1); # reporting goes on
           :
 Returns   : n/a
 Argument  : 1 or 0

  set_memory_and_report
 Title   : set_memory_and_report
 Usage   : Only used by subclasses.
 Function:
 Example :
 Returns :
 Args    :